HmacAlgorithms (Encode/Decode Utilities (Version 1.10-SNAPSHOT))
Date: 2015-09-13

org.apache.commons.codec.digest

## Enum HmacAlgorithms

- java.lang.Object
- - java.lang.Enum<HmacAlgorithms>
  - - org.apache.commons.codec.digest.HmacAlgorithms

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HmacAlgorithms>

      public enum HmacAlgorithms
      extends java.lang.Enum<HmacAlgorithms>

  Standard `HmacUtils` algorithm names from the Java Cryptography Architecture Standard Algorithm Name Documentation.

  Note: Not all JCE implementations supports all algorithms in this enum.

  Since:
    1.10
  Version:
    $Id: HmacAlgorithms.java 1634405 2014-10-26 23:07:26Z ggregory $
  See Also:
    Java Cryptography Architecture Standard Algorithm Name Documentation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HMAC_MD5` The HmacMD5 Message Authentication Code (MAC) algorithm specified in RFC 2104 and RFC 1321.
    `HMAC_SHA_1` The HmacSHA1 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.
    `HMAC_SHA_256` The HmacSHA256 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.
    `HMAC_SHA_384` The HmacSHA384 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.
    `HMAC_SHA_512` The HmacSHA512 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `algorithm`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` The algorithm name
    `static HmacAlgorithms` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HmacAlgorithms[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HMAC_MD5

          public static final HmacAlgorithms HMAC_MD5

      The HmacMD5 Message Authentication Code (MAC) algorithm specified in RFC 2104 and RFC 1321.

      Every implementation of the Java platform is required to support this standard Mac algorithm.

    - #### HMAC_SHA_1

          public static final HmacAlgorithms HMAC_SHA_1

      The HmacSHA1 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

      Every implementation of the Java platform is required to support this standard Mac algorithm.

    - #### HMAC_SHA_256

          public static final HmacAlgorithms HMAC_SHA_256

      The HmacSHA256 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

      Every implementation of the Java platform is required to support this standard Mac algorithm.

    - #### HMAC_SHA_384

          public static final HmacAlgorithms HMAC_SHA_384

      The HmacSHA384 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

      Every implementation of the Java platform is not required to support this Mac algorithm.

    - #### HMAC_SHA_512

          public static final HmacAlgorithms HMAC_SHA_512

      The HmacSHA512 Message Authentication Code (MAC) algorithm specified in RFC 2104 and FIPS PUB 180-2.

      Every implementation of the Java platform is not required to support this Mac algorithm.

  - ### Field Detail

    - #### algorithm

          private final java.lang.String algorithm

  - ### Method Detail

    - #### values

          public static HmacAlgorithms[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HmacAlgorithms c : HmacAlgorithms.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HmacAlgorithms valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      The algorithm name
      Overrides:
        `toString` in class `java.lang.Enum<HmacAlgorithms>`
      Returns:
        The algorithm name ("HmacSHA512" for example)
      See Also:
        Java Cryptography Architecture Sun Providers Documentation

commons-codec version 1.10-SNAPSHOT - Copyright © 2002-2015 - Apache Software Foundation